org.objenesis.instantiator

## Class SerializationInstantiatorHelper

- java.lang.Object
- - org.objenesis.instantiator.SerializationInstantiatorHelper

-     public class SerializationInstantiatorHelper
      extends java.lang.Object

  Helper for common serialization-compatible instantiation functions

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializationInstantiatorHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> java.lang.Class<? super T>` | `getNonSerializableSuperClass(java.lang.Class<T> type)` Returns the first non-serializable superclass of a given class.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SerializationInstantiatorHelper

          public SerializationInstantiatorHelper()

  - ### Method Detail

    - #### getNonSerializableSuperClass

          public static <T> java.lang.Class<? super T> getNonSerializableSuperClass(java.lang.Class<T> type)

      Returns the first non-serializable superclass of a given class. According to Java Object Serialization Specification, objects read from a stream are initialized by calling an accessible no-arg constructor from the first non-serializable superclass in the object's hierarchy, allowing the state of non-serializable fields to be correctly initialized.
      Type Parameters:
        `T` - Type to instantiate
      Parameters:
        `type` - Serializable class for which the first non-serializable superclass is to be found
      Returns:
        The first non-serializable superclass of 'type'.
      See Also:
        `Serializable`